﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using EnvDTE;

namespace Comet.Infrastructure
{
    public class ExtractedDataMembers
    {
        public IEnumerable<CodeProperty> Properties { get; private set; }
        public IEnumerable<CodeVariable> Fields { get; private set; }

        public ExtractedDataMembers(IEnumerable<CodeProperty> properties, IEnumerable<CodeVariable> fields)
        {
            if (properties == null)
            {
                throw new ArgumentNullException("properties");
            }

            if (fields == null)
            {
                throw new ArgumentNullException("fields");
            }

            this.Properties = properties;
            this.Fields = fields;
        }
    }
}
